import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
import { ApiVisa } from '../../shared/api-visa.model';
export declare class SalesInvoiceImportFileService extends BaseApiTemplateService<any> {
    readonly url: string;
    download_sample_path: string;
    constructor(http: HttpClient);
    uploadImportFile(formData: FormData, fileType: string, visa: ApiVisa): import("rxjs").Observable<Object>;
    supplierDownloadCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
}
